<?php
// в данный скрипт поподают все клики по дереву разделоов в левой части
// это надо учитывать при выборе текущего объекта и формировании меню
include_once(_DIR_TO_CLASS."/c_page.php");

class c_page_cab_quiz_editor_viewer extends c_page
{
    public $h1='Редактор КЗ - viewer';
    public $menu_show_account_item=0 ;

    function select_obj_info()
    {   $to_url='' ;
        if(_CUR_ID)
        {   list($pkey,$tkey)=explode('.',_CUR_ID) ;
            $clss=get_obj_clss(_CUR_ID) ;
            switch($clss)
            { case 1:
              case 472: $to_url=$this->get_last_open_menu_item($tkey,$clss,$pkey,'/frame/quiz/theme/card/') ;break ;
              case 473: $to_url=$this->get_last_open_menu_item($tkey,$clss,$pkey,'/frame/quiz/question/card/') ;break ;
              case 481: $to_url=$this->get_last_open_menu_item($tkey,$clss,$pkey,'/frame/quiz/known/card/') ;break ;

            }
        }
        if ($to_url) redirect_301_to($to_url);
        //echo '$to_url='.$to_url.'<br>' ;
    }

    // в сессии cur_obj_page_dir хранятся URL последних открытых пунктов меню отдельно для объектов каждого класса
    function get_last_open_menu_item($tkey,$clss,$pkey,$main_card_url)
    {   $url=$main_card_url.$pkey.'/' ;
        if (isset($_SESSION['cur_obj_page_dir'][_CUR_ROOT_DIR_NAME][$tkey][$clss]))
        { $url=str_replace('***',$pkey,$_SESSION['cur_obj_page_dir'][_CUR_ROOT_DIR_NAME][$tkey][$clss]) ;
          //  надо получить действуюшиую страницу и убедиться что пункт меню на который делается переход, присутствует в пунктах меню данного обекта
          //$page=get_page_obj_by_url($url) ;

        }

        return($url) ;
    }


    function menu_config() {}

    function block_main()
    {   $clss=get_obj_clss(_CUR_ID) ;
        list($pkey,$tkey)=explode('.',_CUR_ID) ;
        echo 'Действие для объекта "<strong>'._CUR_ID.'</strong>",  класс <strong>'.$clss.'</strong> не определено<br>' ;
        echo 'Таблица: <strong>'._DOT($tkey)->table_name.'</strong><br>' ;
        echo '<strong>Дамп объекта:</strong><br>' ;
        $rec=get_obj_info(_CUR_ID) ;
        damp_array($rec,1,-1);
        echo '<strong>cur_obj_page_dir:</strong><br>' ;
        damp_array($_SESSION['cur_obj_page_dir'],1,-1);
        echo '<strong>get_last_open_menu_item:</strong><br>' ;
        echo $this->get_last_open_menu_item($tkey,$clss,$pkey,'/frame/quiz/theme/card/').'<br>' ;
    }
}

?>
